<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package digistarter
 */
?>
<?php tha_entry_before(); ?>
<section class="no-results not-found">
<?php tha_entry_top(); ?>
	<header class="page-header">
		<h1 class="page-title"><?php _e( 'Ничего не найдено', 'digistarter' ); ?></h1>
	</header><!-- .page-header -->
	<?php tha_content_before(); ?>
	<div class="page-content">
		<?php tha_entry_top(); ?>
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p><?php printf( __( 'Готовы опубликовать свой первый пост? <a href="%1$s" title="Get started here">Начните отсюда</a>.', 'digistarter' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p><?php _e( 'Извините, но по Вашему запросу ничего не было найдено. Попробуйте изменить ключевые слова.', 'digistarter' ); ?></p>
			<?php get_search_form(); ?>

		<?php else : ?>

			<p><?php _e( 'Мы ничего не нашли. Попробуйте поиск по сайту.', 'digistarter' ); ?></p>
			<?php get_search_form(); ?>

		<?php endif; ?>
		<?php tha_entry_bottom(); ?>
	</div><!-- .page-content -->
	<?php tha_content_after(); ?>
	<?php tha_entry_bottom(); ?>
</section><!-- .no-results -->
<?php tha_entry_after(); ?>
